
CoCoALib - Feature #46

Feature # 39 (Closed): Squarefree factorization

Feature # 43 (Closed): Squarefree factorization - for polynomials

Feature # 44 (Closed): Squarefree factorization -  univariate polynomials

Squarefree factorization -  univariate polynomials, char p > 0

30 Nov 2011 17:26 - John Abbott

Status: Closed Start date: 20 Dec 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99531 Spent time: 0.45 hour

Description

We consider only the case of prime characteristic.

Needs more care than char=0 case because:

p-th power of a poly has zero formal derivative

need to compute p-th roots of field elements

what happens if coeffs are not in a finite field?

(e.g. ZZ/(p)[x][y] -- multivariate masquerading as univariate!)

Subtasks:

Feature # 69: p-th root Closed

Related issues:

Related to CoCoALib - Feature #796: CoCoALib function for radical (or SqFree)... Closed 05 Nov 2015

History

#1 - 23 Oct 2013 20:23 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

This task is already handled by the port of d'Ali's impl of Bernardin's algm.

#2 - 29 Oct 2013 12:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99531
